import React from 'react';
declare class ErrorBoundary extends React.Component<Record<string, unknown>, {
    error: unknown;
}> {
    constructor(props: Record<string, unknown>);
    static getDerivedStateFromError(error: unknown): {
        error: unknown;
    };
    render(): React.ReactNode;
}
export default ErrorBoundary;
